brackets = [
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; WOW64',
  'Windows NT 10.0; Win64; x64', # Windows should appear a way more often
  'Windows NT 10.0; WOW64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; WOW64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; WOW64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; WOW64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; WOW64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; WOW64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; WOW64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; WOW64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; WOW64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; WOW64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; WOW64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; WOW64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; Win64; x64',
  'Windows NT 10.0; WOW64',
  'Windows NT 10.0',
  'X11; Linux x86_64',
  'X11; Ubuntu; Linux x86_64',
  'Macintosh; Intel Mac OS X 10_12_5',
  'Macintosh; Intel Mac OS X 10_13_4',
  'Macintosh; Intel Mac OS X 10_13_5',
  'Macintosh; Intel Mac OS X 10_14_5',
  'Macintosh; Intel Mac OS X 10_15_4',
  'Macintosh; Intel Mac OS X 10_15_6',
  'Macintosh; Intel Mac OS X 10_15_7',
]

browsers = [
  'Chrome/86.0.4240.111 Safari/537.36', # Chrome
  'Chrome/86.0.4195.0 Safari/537.36',
  'Chrome/86.0.4214.0 Safari/537.36',
  'Chrome/85.0.4240.75 Safari/537.36',
  'Chrome/85.0.4148.0 Safari/537.36',
  'Chrome/85.0.4149.0 Safari/537.36',
  'Chrome/85.0.4183.26 Safari/537.36',
  'Chrome/85.0.4183.102 Safari/537.36',
  'Chrome/85.0.4183.83 Safari/537.36',
  'Chrome/85.0.4183.121 Safari/537.36',
  'Chrome/84.0.4147.105 Safari/537.36',
  'Chrome/84.0.4147.2 Safari/537.36',
  'Chrome/84.0.4147.89 Safari/537.36',
  'Chrome/84.0.4147.125 Safari/537.36',
  'Chrome/84.0.4147.135 Safari/537.36',
  'Chrome/83.0.4103.106 Safari/537.36',
  'Chrome/83.0.4088.0 Safari/537.36',
  'Chrome/83.0.4103.61 Safari/537.36',
  'Chrome/83.0.4089.0 Safari/537.36',
  'Chrome/83.0.4095.0 Safari/537.36',
  'Chrome/83.0.4103.97 Safari/537.36',
  'Chrome/82.0.4047.0 Safari/537.36',
  'Chrome/82.0.4085.5 Safari/537.36',
  'Chrome/82.0.4076.0 Safari/537.36',
  'Chrome/82.0.4071.4 Safari/537.36',
  'Chrome/82.0.4071.4 Safari/537.36',
  'Chrome/82.0.4048.3 Safari/537.36',
  'Chrome/82.0.4050.0 Safari/537.36',
  'Chrome/82.0.4083.0 Safari/537.36',
  'Chrome/82.0.4085.0 Safari/537.36',
  'Chrome/82.0.4078.2 Safari/537.36',
  'Chrome/82.0.4085.2 Safari/537.36',
  'Chrome/81.0.4044.129 Safari/537.36',
  'Chrome/81.0.4044.138 Safari/537.36',
  'Chrome/81.0.4044.128 Safari/537.36',
  'Chrome/81.0.4044.117 Safari/537.36',
  'Chrome/81.0.4404.82 Safari/537.36',
  'Chrome/81.0.4044.138 Safari/537.36',
  'Chrome/81.0.4044.129 Safari/537.36',
  'Chrome/81.0.4044.69 Safari/537.36',
  'Chrome/80.0.3987.149 Safari/537.36',
  'Chrome/80.0.3987.122 Safari/537.36',
  'Chrome/80.0.3987.163 Safari/537.36',
  'Chrome/80.0.3987.132 Safari/537.36',
  'Chrome/80.0.3865.90 Safari/537.36',
  'Chrome/86.0.4240.111 Safari/537.36', # Chrome again
  'Chrome/86.0.4195.0 Safari/537.36',
  'Chrome/86.0.4214.0 Safari/537.36',
  'Chrome/85.0.4240.75 Safari/537.36',
  'Chrome/85.0.4148.0 Safari/537.36',
  'Chrome/85.0.4149.0 Safari/537.36',
  'Chrome/85.0.4183.26 Safari/537.36',
  'Chrome/85.0.4183.102 Safari/537.36',
  'Chrome/85.0.4183.83 Safari/537.36',
  'Chrome/85.0.4183.121 Safari/537.36',
  'Chrome/84.0.4147.105 Safari/537.36',
  'Chrome/84.0.4147.2 Safari/537.36',
  'Chrome/84.0.4147.89 Safari/537.36',
  'Chrome/84.0.4147.125 Safari/537.36',
  'Chrome/84.0.4147.135 Safari/537.36',
  'Chrome/83.0.4103.106 Safari/537.36',
  'Chrome/83.0.4088.0 Safari/537.36',
  'Chrome/83.0.4103.61 Safari/537.36',
  'Chrome/83.0.4089.0 Safari/537.36',
  'Chrome/83.0.4095.0 Safari/537.36',
  'Chrome/83.0.4103.97 Safari/537.36',
  'Chrome/82.0.4047.0 Safari/537.36',
  'Chrome/82.0.4085.5 Safari/537.36',
  'Chrome/82.0.4076.0 Safari/537.36',
  'Chrome/82.0.4071.4 Safari/537.36',
  'Chrome/82.0.4071.4 Safari/537.36',
  'Chrome/82.0.4048.3 Safari/537.36',
  'Chrome/82.0.4050.0 Safari/537.36',
  'Chrome/82.0.4083.0 Safari/537.36',
  'Chrome/82.0.4085.0 Safari/537.36',
  'Chrome/82.0.4078.2 Safari/537.36',
  'Chrome/82.0.4085.2 Safari/537.36',
  'Chrome/81.0.4044.129 Safari/537.36',
  'Chrome/81.0.4044.138 Safari/537.36',
  'Chrome/81.0.4044.128 Safari/537.36',
  'Chrome/81.0.4044.117 Safari/537.36',
  'Chrome/81.0.4404.82 Safari/537.36',
  'Chrome/81.0.4044.138 Safari/537.36',
  'Chrome/81.0.4044.129 Safari/537.36',
  'Chrome/81.0.4044.69 Safari/537.36',
  'Chrome/80.0.3987.149 Safari/537.36',
  'Chrome/80.0.3987.122 Safari/537.36',
  'Chrome/80.0.3987.163 Safari/537.36',
  'Chrome/80.0.3987.132 Safari/537.36',
  'Chrome/80.0.3865.90 Safari/537.36',
  'Chrome/86.0.4240.80 Safari/537.36 OPR/72.0.3815.148', # Opera
  'Chrome/85.0.4183.121 Safari/537.36 OPR/71.0.3770.228',
  'Chrome/84.0.4147.135 Safari/537.36 OPR/70.0.3728.189',
  'Chrome/83.0.4103.86 Safari/537.36 OPR/69.2.2343.31',
  'Chrome/80.0.3987.132 Safari/537.36 OPR/67.0.3575.97',
  'Chrome/80.0.3987.163 Safari/537.36 OPR/67.0.3575.137',
  'Chrome/81.0.4044.138 Safari/537.36 OPR/68.0.3618.104',
  'Chrome/81.0.4044.138 Safari/537.36 OPR/68.0.3618.125',
  'Chrome/73.0.3683.103 Safari/537.36 OPR/60.0.3255.50962 OPRGX/71.0.3770.234', # Opera GX
  'Chrome/85.0.4183.102 YaBrowser/20.9.1.110 Yowser/2.5 Safari/537.36', # Yandex Browser
  'Chrome/85.0.4183.102 YaBrowser/20.9.1.110 Yowser/2.5 Safari/537.36',
  'Chrome/85.0.4183.102 YaBrowser/20.9.3.136 Yowser/2.5 Safari/537.36',
  'Chrome/85.0.4183.102 YaBrowser/20.9.2.80 Yowser/2.5 Safari/537.36',
  'Chrome/85.0.4183.102 YaBrowser/20.9.2.102 Yowser/2.5 Safari/537.36',
  'Chrome/85.0.4183.102 YaBrowser/20.9.2.80 Yowser/2.5 Safari/537.36',
  'Chrome/84.0.4147.135 YaBrowser/20.8.3.115 Yowser/2.5 Safari/537.36',
  'Chrome/83.0.4103.61 YaBrowser/20.4.0 Yowser/2.5 Safari/537.36',
  'Chrome/83.0.4103.83 YaBrowser/20.7.0.301 Yowser/2.5 Safari/537.36',
  'Chrome/83.0.4103.116 YaBrowser/20.7.3.101 Yowser/2.5 Safari/537.36',
  'Chrome/83.0.4103.101 YaBrowser/20.7.0.725 Yowser/2.5 Safari/537.36',
  'Chrome/81.0.4044.141 YaBrowser/20.4.0 Yowser/2.5 Safari/537.36',
  'Chrome/81.0.4044.96 YaBrowser/20.4.0.3443 Yowser/2.5 Safari/537.36',
  'Chrome/81.0.4044.113 YaBrowser/20.4.1.223 Yowser/2.5 Safari/537.36',
  'Chrome/81.0.4044.138 YaBrowser/20.6.0.910 Yowser/2.5 Safari/537.36',
  'Chrome/80.0.3987.132 YaBrowser/20.3.1.253 Yowser/2.5 Safari/537.36',
  'Chrome/80.0.3987.132 YaBrowser/20.3.1.197 Yowser/2.5 Safari/537.36',
  'Chrome/80.0.3987.132 YaBrowser/20.3.1.253 Yowser/2.5 Safari/537.36',
  'Chrome/81.0.4044.138 YaBrowser/20.4.2.197 Yowser/2.5 Safari/537.36',
  'Chrome/81.0.4044.138 YaBrowser/20.4.2.201 Yowser/2.5 Safari/537.36',
  'Chrome/81.0.4044.96 YaBrowser/20.4.0.1458 Yowser/2.5 Safari/537.36',
  'Chrome/81.0.4044.138 YaBrowser/20.4.2.201 Yowser/2.5 Safari/537.36',
  'Chrome/81.0.4044.138 YaBrowser/20.6.0.905 Yowser/2.5 Safari/537.36',
  'Chrome/81.0.4044.113 YaBrowser/20.4.1.225 Yowser/2.5 Safari/537.36',
]

user_agents = []

brackets.each do |bracket|
  browsers.each do |browser|
    user_agents << "  - 'Mozilla/5.0 (#{bracket}) AppleWebKit/537.36 (KHTML, like Gecko) #{browser}'"
  end
end

# special for fucking firefox
brackets.each do |bracket|
  for j in 75..81
    user_agents << "  - 'Mozilla/5.0 (#{bracket}; rv:#{j}.0) Gecko/20100101 Firefox/#{j}.0'"
  end
end


File.open("generated_user_agents.txt", "w+") do |f|
  f.puts(user_agents)
end

puts "generated #{user_agents.count} user agents"
